- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
bfs.h File Reference
Graph Search
`#include <lemon/list_graph.h>`
`#include <lemon/bits/path_dump.h>`
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/maps.h>`
`#include <lemon/path.h>`

## Classes
struct | BfsDefaultTraits< GR >
| Default traits class of Bfs class. More...
class | Bfs< GR, TR >
| BFS algorithm class. More...
struct | Bfs< GR, TR >::SetPredMap< T >
| Named parameter for setting `PredMap` type. More...
struct | Bfs< GR, TR >::SetDistMap< T >
| Named parameter for setting `DistMap` type. More...
struct | Bfs< GR, TR >::SetReachedMap< T >
| Named parameter for setting `ReachedMap` type. More...
struct | Bfs< GR, TR >::SetProcessedMap< T >
| Named parameter for setting `ProcessedMap` type. More...
struct | Bfs< GR, TR >::SetStandardProcessedMap
| Named parameter for setting `ProcessedMap` type to be `Digraph::NodeMap<bool>`. More...
struct | BfsWizardDefaultTraits< GR >
| Default traits class of bfs() function. More...
class | BfsWizardBase< GR >
| Default traits class used by BfsWizard. More...
class | BfsWizard< TR >
| Auxiliary class for the function-type interface of BFS algorithm. More...
struct | BfsVisitor< GR >
| Visitor class for BFS. More...
struct | BfsVisitDefaultTraits< GR >
| Default traits class of BfsVisit class. More...
class | BfsVisit< GR, VS, TR >
| BFS algorithm class with visitor interface. More...
struct | BfsVisit< GR, VS, TR >::SetReachedMap< T >
| Named parameter for setting ReachedMap type. More...

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
template<class GR >
BfsWizard< BfsWizardBase< GR > > | bfs (const GR &digraph)
| Function-type interface for BFS algorithm. More...